Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453448 (GuusLeeuwjr) - Administrator Screen fails
Summary: Administrator Screen fails
Keywords:
Status: CLOSED WONTFIX
Alias: GuusLeeuwjr
Product: Dogtag Certificate System
Classification: Retired
Component: CA
Version: 1.0
Hardware: noarch
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Christina Fu
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-30 18:04 UTC by Guus Leeuw jr.
Modified: 2015-01-04 23:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-15 23:19:18 UTC


Attachments (Terms of Use)

Description Guus Leeuw jr. 2008-06-30 18:04:40 UTC
Description of problem:
When entering the required information in the Administrator Screen (UID, Name, 
Email, Password, and Password (again), the DogTag Cert System comes back with a 
script bug.

Version-Release number of selected component (if applicable):
pki-ca                  noarch     1.0.0-1.fc8      pki               


How reproducible:
Start a new installation, create a locally signed CA, and enter the Admin 
screen.


Steps to Reproduce:
1. Install DogTag from yum repos
2. Browse to CA configuration screen 
(http://localhost.localdomain:9080/ca/admin/console/config/login?
pin=3bAbukx5pumpIeuNsayd
3. Go through all steps, typing information as you go
4. The Administrator screen is reached, type all information there, and click 
Next
  
Actual results:
Script error

Expected results:
Success


Additional info:

Looking at the underlying HTML for this page, the Send_OnClick function tries 
to add TheForm.uid.value to some string, however there are two input fields 
(one text and one hidden) in this HTML page that have the name 'uid', so the 
VBScript bails out with an error.

Comment 1 Chandrasekar Kannan 2008-06-30 22:49:38 UTC
what browser - (version) are u using ?

Comment 2 Guus Leeuw jr. 2008-07-01 05:36:37 UTC
I am using Internet Explorer 7

Comment 3 Chandrasekar Kannan 2008-09-15 23:19:18 UTC
firefox is our supported browser for administrative purposes. for now IE7 is not encouraged for this type of use.


Note You need to log in before you can comment on or make changes to this bug.